from local_whisper.audio import load_audio
from local_whisper.inference import transcribe


def test_transcribe(sample_audio):
    with open(sample_audio, mode="rb") as af:
        audio = load_audio(af)
    result = transcribe(audio)
    assert (
        result["text"].strip().lower()
        == "Let's see, right now I'm playing Horizon Zero Dawn."
        " I also had just recently finished BioShock Infinite.".lower()
    )
